%global pkg_name gtk

%global common_summary Haskell %{pkg_name} library

%global common_description A %{pkg_name} library for Haskell.

%global ghc_pkg_c_deps gtk2-devel

# obsolete old gtk2hs packages
%global ghc_pkg_obsoletes ghc-gtkglext-devel < 0.11, ghc-soegtk-devel < 0.11, ghc-vte-devel < 0.11

Name:           ghc-%{pkg_name}
Version:        0.12.0
Release:        5%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  hscolour
%{?ghc_pkg_c_deps:BuildRequires:  %{ghc_pkg_c_deps}}
BuildRequires:  gtk2hs-buildtools
BuildRequires:  ghc-glib-prof, ghc-pango-prof, ghc-cairo-prof, ghc-gio-prof, ghc-mtl-prof

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install

# move demos
rm -r $RPM_BUILD_ROOT%{_datadir}/%{pkg_name}-%{version}
echo %doc demo >> %{name}-devel.files


%ghc_lib_package


%changelog
* Tue Jun 21 2011 Jens Petersen <petersen@redhat.com> - 0.12.0-5
- BR ghc-Cabal-devel instead of ghc-prof and use ghc_arches (cabal2spec-0.23.2)

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.12.0-4
- Enable build on sparcv9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 18 2011 Jens Petersen <petersen@redhat.com> - 0.12.0-2
- update to cabal2spec-0.22.4

* Tue Nov 30 2010 Jens Petersen <petersen@redhat.com> - 0.12.0-1
- update to 0.12.0

* Thu Nov 25 2010 Jens Petersen <petersen@redhat.com> - 0.11.2-6
- fix Cabal-1.10 build with ghc7-Gtk2HsSetup-Cabal-1.10.patch
- drop devhelp since no longer supported by haddock-2.8.0

* Thu Oct 28 2010 Jens Petersen <petersen@redhat.com> - 0.11.2-5
- glade and gtksourceview2 packages are now in fedora
- add explicit dep on mtl

* Thu Sep 30 2010 Jens Petersen <petersen@redhat.com> - 0.11.2-4
- obsolete gtk2hs glade, gtkglext, gtksourceview2, soegtk, vte until packaged

* Mon Sep 13 2010 Jens Petersen <petersen@redhat.com> - 0.11.2-3
- depend on gio too

* Mon Sep 13 2010 Jens Petersen <petersen@redhat.com> - 0.11.2-2
- include demos in devel doc

* Wed Sep  1 2010 Jens Petersen <petersen@redhat.com> - 0.11.2-1
- update to 0.11.2

* Fri Jul 16 2010 Jens Petersen <petersen@redhat.com> - 0.11.0-1
- BR ghc-glib, ghc-pango, ghc-cairo
- ghc-rpm-macros-0.8.1
- support hscolour and devhelp
- build with LANG=en_US.UTF-8 as a workaround for LANG=C issue

* Fri Jul 16 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.11.0-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.1
